跳转到主要内容
运维管理/监控相关接口/通知服务相关接口
PUTNotification Service APIs起始版本 4.2.0同步需要认证

更新企业微信@用户

更新企业微信@用户

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • uuidString必填

    资源的UUID,唯一标示该资源

请求体字段

  • updateatpersonofatwecomendpointObject必填

    updateatpersonofatwecomendpoint 请求体结构

    • endpointUuidString必填

      企业微信终端UUID

    • userIdString

      企业微信用户ID

    • remarkString

      备注

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventorySNSWeComAtPersonInventory必填

    详情参考inventory

    • uuidString必填

      资源的UUID,唯一标示该资源

    • userIdString必填

      企业微信用户id

    • endpointUuidString必填

      企业微信endpoint uuid

请求地址

PUT/zstack/v1/sns/application-endpoints/we-com/at-persons/{uuid}/actions

/zstack/v1/sns/application-endpoints/we-com/at-persons/{uuid}/actions

操作 ID

UpdateAtPersonOfAtWeComEndpoint

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/sns/application-endpoints/we-com/at-persons/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateatpersonofatwecomendpoint":{"endpointUuid":"<endpointUuid>","userId":"<userId>","remark":"<remark>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "uuid": "30a039832d40439da2c499cba7f1f866", "userId": "18988887777", "endpointUuid": "acb286c4425f4a7cbbd21afbf5303447", "remark": "jack" } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史